> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves all portals available in the system for the authenticated user.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json get /portals
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /portals:
    get:
      tags:
        - Portal
      summary: >-
        Retrieves all portals available in the system for the authenticated
        user.
      responses:
        '200':
          description: Successfully retrieved all portals.
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Portal'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Portal'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Portal'
components:
  schemas:
    Portal:
      type: object
      properties:
        id:
          type: integer
          format: int32
        createdAt:
          type: string
          format: date-time
        status:
          $ref: '#/components/schemas/PortalStatus'
        name:
          type: string
          nullable: true
        customerServicePhone:
          type: string
          nullable: true
        supplierPhone:
          type: string
          nullable: true
        provider:
          type: string
          nullable: true
        alfaECareCompanyCode:
          type: string
          nullable: true
        organisationId:
          type: integer
          format: int32
      additionalProperties: false
    PortalStatus:
      enum:
        - 1
        - 2
        - 3
      type: integer
      format: int32

````